Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 20956 - Platform does not start with removed core-ui jar
Platform does not start with removed core-ui jar
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P3 (vote)
: 3.x
Assigned To: Petr Hrebejk
issues@platform
:
Depends on:
Blocks: 17815 23399
  Show dependency treegraph
 
Reported: 2002-02-27 16:35 UTC by Petr Hrebejk
Modified: 2008-12-22 15:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hrebejk 2002-02-27 16:35:45 UTC
As the NbMainExplorer requires the Workplace folder on the SystemFileSystem
the platform does not start when a module (currently core-ui), which adds this 
folder is removed.
Comment 1 Petr Hrebejk 2002-02-27 18:19:24 UTC
The NbProjectOperation was changed to return false from
hasProjectDesktop(). This results in NbExplorer not trying to show
the workplace when no /Workplace folder can be found on the
System filesystem.
Comment 2 Marian Mirilovic 2005-07-12 08:49:10 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo